为了账号安全,请及时绑定邮箱和手机立即绑定

yar-swoole server是不是不能再windows使用啊?

/ 猿问

yar-swoole server是不是不能再windows使用啊?

蝴蝶刀刀 2018-10-30 06:02:56

他要求的ext-swoole 1.8.8+ 没有window版本啊
他的扩展怎么装啊 只找到了linux版本

查看完整描述

1 回答

?
MM们

简介
Swoole是一种PHP高级Web开发框架,框架不是为了提升网站的性能,是为了提升网站的开发效率。最少的性能损耗,换取最大的开发效率。利用Swoole框架,开发一个复杂的Web功能,可以在很短的时间内完成!

Swoole不是一个像Zend Framework、CakePHP、Yii、symfony、ThinkPHP等一样的框架,也不是一个向WordPress、Drupal、Discuz、UChome等开源产品看齐的项目。 Swoole的目标是向Java框架、Rails On Ruby、Python DjangoPylons等一流框架发起挑战。

运行环境:Linux Windows Mac FreeBSD Unix

PHP版本支持:PHP5.2 PHP5.3 PHP6.0

支持的数据库:MS SQL Server、MySQL、IBM DB2、Oracle、Interbase 、SQLite、PostgreSQL、ODBC

支持的运行方式:Web、Cli命令行脚本、PHP-GTK GUI。

功能

包含以下几个特色功能:

1、 类似ORM的数据查询,提供SQL封装器,让MySQL的SQL与PHP的Array,会话,Cache无缝结合

2、App MVC分层结构,有效的程序结构分层,提高程序的可维护性和扩展性,实现低耦合,基于接口开发。

查看完整回答
反对 回复 2018-11-15
  • 1 回答
  • 0 关注
  • 318 浏览
我要回答

添加回答

回复

举报

0/150
提交
取消
意见反馈 帮助中心 APP下载
官方微信